Skip to main content
Submits reputation feedback on the specified user.

Syntax

Parameters

xboxLiveContext   _In_
Type: XblContextHandle
An XBOX services context handle created with XblContextCreateHandle. feedbackItems   _In_
Type: XblReputationFeedbackItem*
An array of XblReputationFeedbackItem objects to submit reputation feedback on. feedbackItemsCount   _In_
Type: size_t
The count of items in the feedbackItems array. async   _In_
Type: XAsyncBlock*
Caller allocated AsyncBlock.

Return value

Type: HRESULT HRESULT return code for this API operation.

Remarks

Make sure to call XAsyncGetStatus to get the result.

REST Call

V101 POST /users/batchfeedback

Requirements

Header: social_c.h Library: Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

See also

social_c
Last modified on October 29, 2026